diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_put.py
index b71a1e2..e1b61b0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_put.py
@@ -33,7 +33,7 @@ class DomainPutTestCase(BaseTestGenerator):
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.schema_id = self.schema_info["schema_id"]
-        self.domain_name = "domain_put_%s" % (str(uuid.uuid4())[1:6])
+        self.domain_name = "domain_put_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.domain_info = domain_utils.create_domain(self.server,
                                                       self.db_name,
                                                       self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
index 3dcf456..d5d96c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_add.py
@@ -43,8 +43,8 @@ class ForeignTableAddTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.schema_id = self.schema_data['schema_id']
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:4])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:4])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
         self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
@@ -81,7 +81,7 @@ class ForeignTableAddTestCase(BaseTestGenerator):
             "ftoptions": [],
             "inherits": [],
             "ftsrvname": self.fsrv_name,
-            "name": "ft_%s" % (str(uuid.uuid4())[1:4]),
+            "name": "ft_%s" % (str(uuid.uuid4()).replace("-", "")),
             "owner": self.server["username"],
             "relacl": [],
             "seclabels": [],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
index 731e32b..0da1ddc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_delete.py
@@ -43,9 +43,9 @@ class ForeignTableDeleteTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.schema_id = self.schema_data['schema_id']
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:4])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:4])
-        self.ft_name = "ft_%s" % (str(uuid.uuid4())[1:4])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.ft_name = "ft_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
         self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
index 329bd34..73cb8d5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_get.py
@@ -42,9 +42,9 @@ class ForeignTableGetTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.schema_id = self.schema_data['schema_id']
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:4])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:4])
-        self.ft_name = "ft_%s" % (str(uuid.uuid4())[1:4])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.ft_name = "ft_%s" % (str(uuid.uuid4()).replace("-", ""))
 
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
index ee21904..45f75c7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/test_foreign_table_put.py
@@ -43,9 +43,9 @@ class ForeignTablePutTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.schema_id = self.schema_data['schema_id']
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:4])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:4])
-        self.ft_name = "ft_%s" % (str(uuid.uuid4())[1:4])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.ft_name = "ft_%s" % (str(uuid.uuid4()).replace("-", ""))
 
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
index 55a0be8..02bf578 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_add.py
@@ -41,7 +41,7 @@ class FTSConfiguraionAddTestCase(BaseTestGenerator):
         self.server_id = schema_data['server_id']
         self.db_id = schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:4]
+        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_parser_id = fts_parser_utils.create_fts_parser(self.server,
                                                                 self.db_name,
@@ -67,7 +67,7 @@ class FTSConfiguraionAddTestCase(BaseTestGenerator):
 
         data = \
             {
-                "name": "fts_conf_%s" % str(uuid.uuid4())[1:4],
+                "name": "fts_conf_%s" % str(uuid.uuid4()).replace("-", ""),
                 "owner": self.server["username"],
                 "prsname": "%s.%s" % (self.schema_name, self.fts_parser_name),
                 "schema": self.schema_id,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
index 3ab0d81..e499a56 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_delete.py
@@ -39,7 +39,7 @@ class FTSConfDeleteTestCase(BaseTestGenerator):
         self.server_id = schema_data['server_id']
         self.db_id = schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:4]
+        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_conf_id = fts_configuration_utils.create_fts_configuration(
             self.server, self.db_name, self.schema_name, self.fts_conf_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
index b148db3..16dc176 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
@@ -39,7 +39,7 @@ class FTSConfGetTestCase(BaseTestGenerator):
         self.server_id = schema_data['server_id']
         self.db_id = schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:4]
+        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_conf_id = fts_configuration_utils.create_fts_configuration(
             self.server, self.db_name, self.schema_name, self.fts_conf_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
index 1c66543..99419f9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
@@ -40,7 +40,7 @@ class FTSConfPutTestCase(BaseTestGenerator):
         self.server_id = schema_data['server_id']
         self.db_id = schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:4]
+        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_conf_id = fts_configuration_utils.create_fts_configuration(
             self.server, self.db_name, self.schema_name, self.fts_conf_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
index bb484ba..a09492b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
@@ -55,7 +55,7 @@ class FtsDictionaryAddTestCase(BaseTestGenerator):
 
         data = \
             {
-                "name": "fts_dict_%s" % str(uuid.uuid4())[1:4],
+                "name": "fts_dict_%s" % str(uuid.uuid4()).replace("-", ""),
                 "options": [
                     {
                         "value": "synonym_sample",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
index a76bea5..a4d0b1e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
@@ -38,7 +38,7 @@ class FtsDictionaryDeleteTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:4]
+        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
             self.server,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
index 966ece4..f006399 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
@@ -38,7 +38,7 @@ class FtsDictionaryGetTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:4]
+        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
             self.server,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
index ee04320..a2d1a63 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
@@ -39,7 +39,7 @@ class FtsDictionaryPutTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:4]
+        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
             self.server,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py
index 3ae500b..fffff36 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py
@@ -54,7 +54,7 @@ class FtsParserAddTestCase(BaseTestGenerator):
 
         self.data = \
             {
-                "name": "fts_parser_%s" % str(uuid.uuid4())[1:4],
+                "name": "fts_parser_%s" % str(uuid.uuid4()).replace("-", ""),
                 "schema": self.schema_id,
                 "prsend": "prsd_end",
                 "prsheadline": "prsd_headline",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
index b651630..6503389 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
@@ -37,7 +37,7 @@ class FtsParserDeleteTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:4]
+        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_parser_id = fts_parser_utils.create_fts_parser(
             self.server,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py
index 07c8eea..706e706 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py
@@ -37,7 +37,7 @@ class FtsParserGetTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:4]
+        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_parser_id = fts_parser_utils.create_fts_parser(
             self.server,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
index 7eb17b2..76c8075 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
@@ -38,7 +38,7 @@ class FtsParserPutTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:4]
+        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4()).replace("-", "")
 
         self.fts_parser_id = fts_parser_utils.create_fts_parser(
             self.server,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
index 8683ff2..32e6d1f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
@@ -56,7 +56,7 @@ class FtsTemplateAddTestCase(BaseTestGenerator):
 
         self.data = \
             {
-                "name": "fts_temp_%s" % str(uuid.uuid4())[1:4],
+                "name": "fts_temp_%s" % str(uuid.uuid4()).replace("-", ""),
                 "schema": self.schema_id,
                 "tmplinit": "dispell_init",
                 "tmpllexize": "dispell_lexize"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
index 68cb823..d1fa185 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_delete.py
@@ -36,7 +36,7 @@ class FtsTemplateDeleteTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_temp_name = "fts_temp_%s" % str(uuid.uuid4())[1:4]
+        self.fts_temp_name = "fts_temp_%s" % str(uuid.uuid4()).replace("-", "")
         self.fts_temp_id = fts_temp_utils.create_fts_template(
             self.server,
             self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
index cff9696..1e8fb8f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
@@ -36,7 +36,7 @@ class FtsTemplateGetTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_temp_name = "fts_temp_%s" % str(uuid.uuid4())[1:4]
+        self.fts_temp_name = "fts_temp_%s" % str(uuid.uuid4()).replace("-", "")
         self.fts_temp_id = fts_temp_utils.create_fts_template(
             self.server,
             self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py
index 3d314f5..ad9789a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_put.py
@@ -37,7 +37,7 @@ class FtsTemplatePutTestCase(BaseTestGenerator):
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_temp_name = "fts_temp_%s" % str(uuid.uuid4())[1:4]
+        self.fts_temp_name = "fts_temp_%s" % str(uuid.uuid4()).replace("-", "")
         self.fts_temp_id = fts_temp_utils.create_fts_template(
             self.server,
             self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py
index dcbf9ff..445eeaf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_add.py
@@ -95,7 +95,7 @@ class TriggerFuncAddTestCase(BaseTestGenerator):
         trigger_func_types = data['prorettypename'].split('/')
         for func_type in trigger_func_types:
             data['prorettypename'] = func_type
-            data["name"] = "test_event_add_%s" % str(uuid.uuid4())[1:6]
+            data["name"] = "test_event_add_%s" % str(uuid.uuid4()).replace("-", "")
             if schema_id:
                 data['pronamespace'] = schema_id
             else:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py
index a8bd216..acbff4f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_delete.py
@@ -38,7 +38,7 @@ class TriggerFuncDeleteTestCase(BaseTestGenerator):
         schema_info = parent_node_dict["schema"][-1]
         server_id = schema_info["server_id"]
         db_id = schema_info["db_id"]
-        func_name = "test_event_delete_%s" % str(uuid.uuid4())[1:6]
+        func_name = "test_event_delete_%s" % str(uuid.uuid4()).replace("-", "")
         server_con = server_utils.connect_server(self, server_id)
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
index a5abaa7..73242dd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_get.py
@@ -38,7 +38,7 @@ class TriggerFuncGetTestCase(BaseTestGenerator):
         schema_info = parent_node_dict["schema"][-1]
         server_id = schema_info["server_id"]
         db_id = schema_info["db_id"]
-        func_name = "test_event_get_%s" % str(uuid.uuid4())[1:6]
+        func_name = "test_event_get_%s" % str(uuid.uuid4()).replace("-", "")
         db_user = self.server["username"]
         server_con = server_utils.connect_server(self, server_id)
         if not server_con["info"] == "Server connected.":
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
index a5fbe18..1dbc38b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_trigger_func_put.py
@@ -39,7 +39,7 @@ class TriggerFuncPutTestCase(BaseTestGenerator):
         schema_info = parent_node_dict["schema"][-1]
         server_id = schema_info["server_id"]
         db_id = schema_info["db_id"]
-        func_name = "test_event_put_%s" % str(uuid.uuid4())[1:6]
+        func_name = "test_event_put_%s" % str(uuid.uuid4()).replace("-", "")
         server_con = server_utils.connect_server(self, server_id)
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
index 144e148..9153848 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_add.py
@@ -64,7 +64,7 @@ class PackageAddTestCase(BaseTestGenerator):
 
         data = \
             {
-                "name": "pkg_%s" % str(uuid.uuid4())[1:4],
+                "name": "pkg_%s" % str(uuid.uuid4()).replace("-", ""),
                 "owner": self.server["username"],
                 "pkgacl": [],
                 "pkgbodysrc": "PROCEDURE p1() is \n"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
index 1d767e8..910d780 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_delete.py
@@ -35,8 +35,8 @@ class PackageDeleteTestCase(BaseTestGenerator):
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.pkg_name= "pkg_%s" % str(uuid.uuid4())[1:4]
-        self.proc_name = "proc_%s" % str(uuid.uuid4())[1:4]
+        self.pkg_name= "pkg_%s" % str(uuid.uuid4()).replace("-", "")
+        self.proc_name = "proc_%s" % str(uuid.uuid4()).replace("-", "")
         self.server_id = schema_info["server_id"]
         self.db_id = schema_info["db_id"]
         server_con = server_utils.connect_server(self, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
index 87e7d9a..afc22b2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_get.py
@@ -35,8 +35,8 @@ class PackageGetTestCase(BaseTestGenerator):
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.pkg_name= "pkg_%s" % str(uuid.uuid4())[1:4]
-        self.proc_name = "proc_%s" % str(uuid.uuid4())[1:4]
+        self.pkg_name= "pkg_%s" % str(uuid.uuid4()).replace("-", "")
+        self.proc_name = "proc_%s" % str(uuid.uuid4()).replace("-", "")
         self.server_id = schema_info["server_id"]
         self.db_id = schema_info["db_id"]
         server_con = server_utils.connect_server(self, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
index 2c960e2..9c0ce05 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/test_package_put.py
@@ -36,8 +36,8 @@ class PackagePutTestCase(BaseTestGenerator):
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.pkg_name= "pkg_%s" % str(uuid.uuid4())[1:4]
-        self.proc_name = "proc_%s" % str(uuid.uuid4())[1:4]
+        self.pkg_name= "pkg_%s" % str(uuid.uuid4()).replace("-", "")
+        self.proc_name = "proc_%s" % str(uuid.uuid4()).replace("-", "")
         self.server_id = schema_info["server_id"]
         self.db_id = schema_info["db_id"]
         server_con = server_utils.connect_server(self, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
index 583b514..f82f119 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_add.py
@@ -53,7 +53,7 @@ class SequenceAddTestCase(BaseTestGenerator):
             "increment": "1",
             "maximum": "100000",
             "minimum": "1",
-            "name": "test_sequence_add_%s" % (str(uuid.uuid4())[1:6]),
+            "name": "test_sequence_add_%s" % (str(uuid.uuid4()).replace("-", "")),
             "relacl": [
                 {
                     "grantee": db_user,
